<?php

namespace App\Http\Controllers;

use App\Repositories\AddressRepository;
use App\Traits\ApiResponser;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;


class AddressController extends Controller
{
    use ApiResponser;
    public $addressRepository;

    public function __construct()
    {
        $addressRepository = new AddressRepository();
        $this->addressRepository = $addressRepository;
    }

    public function storeAddress($request, $type, $id)
    {
        $address = $this->addressRepository->storeAddress($request, $type, $id);
        return $address;
    }

    public function searchAddressInMap()
    {


    }

    public function getAddress(Request $request)
    {
        $lat = $request['latitude'];
        $lng = $request['longitude'];

        $response = Http::get("https://api.mapbox.com/geocoding/v5/mapbox.places/$lng,$lat.json?access_token=pk.eyJ1Ijoia2ltaWExMzgwIiwiYSI6ImNrenV2dWo3ajBjNWcydnJ1N2J1bWYxbnkifQ.MmgD0y1K3NA2zn9-v4MCRA")
            ->object();
        $request = $response->features[0]->place_name??null;
        if($request){
        $requests = explode(',', $request);
        return successResponse(true, implode(', ', array_reverse($requests)), 'send successfully');
    }else{
            return $this->failedResponse('Location not found',200);
        }
    }
}
