<?php

namespace App\Http\Controllers\Admin\Structure;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\Structure\ContactUsRequest;
use App\Repositories\Admin\Structure\ContactUsRepository;
use App\Traits\ApiResponser;
use Illuminate\Http\Request;

class ContactUsController extends Controller
{
    use ApiResponser;
    public $request;
    public $repository;
    public function __construct(Request $request, ContactUsRepository $repository)
    {
        $this->repository = $repository;
        $this->request = $request;
    }

    public function store(ContactUsRequest $contactUsRequest)
    {
        $repo = $this->repository->createValue($this->request['key'], $this->request['value']);
        return $this->successResponse(true, $repo, 'add successfully');
    }

    public function update(ContactUsRequest $contactUsRequest)
    {
        $find = $this->repository->findValue($this->request['id']);
        if(!$find){
            return $this->successResponse(false, null, 'not found any thing');
        }

        $repo = $this->repository->updateValue($this->request['id'], $this->request['key'], $this->request['value']);
        return $this->successResponse(true, $repo, 'update successfully');
    }

    public function delete($id)
    {
        $find = $this->repository->findValue($id);
        if(!$find){
            return $this->successResponse(false, null, 'not found any thing');
        }

        $repo = $this->repository->deleteValue($id);
        return $this->successResponse(true, $repo, 'delete successfully');
    }

    public function index()
    {
        $repo = $this->repository->showValue();
        return $this->successResponse(true, $repo, 'send successfully');
    }
}
