<?php

namespace App\Http\Controllers;

use App\Models\GeneralContractor;
use App\Traits\ApiResponser;

class GeneralContractorController extends Controller
{
    use ApiResponser;

    public function store($request)
    {
        $contractor = GeneralContractor::create([
            'name' => $request['project_generalContractor.name'],
            'phone_number' => $request['project_generalContractor.phone_number'],
            'email' => $request['project_generalContractor.email'],
        ]);

        if ($request['project_generalContractor.address']) {
            $addressController = new AddressController();
            $address = $addressController->storeAddress($request['project_generalContractor.address'], 'App\Models\GeneralContractor', $contractor->toArray()['id']);
        }
        return $contractor->toArray()['id'];
    }

    public function showbyId($id)
    {

        $contract = GeneralContractor::find($id);
        if ($contract == null ){
            return successResponse(true, null, 'not found contractor');
        }
        $contractor = GeneralContractor::select('id', 'name')->where('id', $id)->with('messages')->first();
        //dd($contractor->toArray());
        $ave = $contractor->messages()->average('rate');
        //$ave = $contractor->message();

        return successResponse(true, ['user' => $contractor, 'rate' => $ave], 'send successfully');
    }
}
