<?php

namespace App\Http\Requests\Admin\Structure;

use Illuminate\Foundation\Http\FormRequest;

class BillingPlanRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => ['required', 'min:2', 'max:200'],
            'project' => ['required', 'max:10000', 'min:1'],
            'free_project' => ['required', 'max:10000', 'min:1'],
            'time' => ['required', 'max:10000', 'min:1'],
            'time_duration' => ['required', 'in:day,month,year'],
            'costs' => ['required', 'max:1000', 'min:1']
        ];
    }
}
