<?php

namespace App\Http\Resources;

use App\Models\ParticipantsProject;
use Illuminate\Http\Resources\Json\JsonResource;

class ListGroupsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $image = ParticipantsProject::query()
            ->with(['participantsProject' => function ($q) {
                $q->select('id', 'image')->take(4);
            }])
            ->select('participants_project_type', 'participants_project_id')->get();
        $images = ShowGroupResource::collection($image)->resolve();
//        return parent::toArray($request);
//        return $this->groups;
        return ['id' => $this->id,
            'image' => [$this->when(isset($images[0]), $images[0] ?? null), $this->when(isset($images[1]), $images[1] ?? null), $this->when(isset($images[2]), $images[2] ?? null), $this->when(isset($images[3]), $images[3] ?? null)],
            'uuid' => $this->uuid,
            'type' => $this->type,
            'name' => $this->title
            ,'address' => $this->address,
            'subject' => $this->subject,
            'messages_count' => $this->messages_count
        ];
    }
}
