<?php

namespace App\Http\Resources\Project;

use App\Http\Resources\CountProjectResource;
use App\Models\ParticipantsProject;
use App\Models\User;
use Illuminate\Http\Resources\Json\JsonResource;

class ParticipantsOneProjectResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//    return ParticipantsProject::all();
//        return parent::toArray($request);
        return [
                'id'=>$this->participantsProject->id,
                'name'=>$this->participantsProject->name,
                'last_name'=>$this->participantsProject->last_name,
                'image'=>$this->participantsProject->image,
                'rate'=>$this->participantsProject->client_comments_avg_rate,
                'start'=>($this->start_date)
                        ->diffForHumans()
                    ??null,
                'type'=>$this->participantsProject->Type??"",
                'job_title'=>$this->participantsProject->jobTitle->title??null,
                'count_project'=>CountProjectResource::collection($this->participantsProject->participantsProject)??null
                ];
    }
}
