<?php

namespace App\Mail;

use Carbon\Carbon;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Log;

class ForgotPasswordMail extends Mailable
{
    use Queueable, SerializesModels;
    protected $email;
    protected $confirmationCode;
    public $time;
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($confirmationCode,$time)
    {
        $this->confirmationCode = $confirmationCode;
        $this->time = $time;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
//        Log::info(   $this->time );
        return $this->from(env('FROM_EMAIL'), env('APP_NAME'))
            ->subject('ProScreenPin Confirmation')
            ->markdown('emails.forgetPassword')
            ->with([
                'confirmationCode' => $this->confirmationCode,
                'timeStamp' =>$this->time,
            ]);
    }
}
