<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class Claim extends Model
{
    use HasFactory;

    protected $guarded = ['id'];

    public function projects()
    {
        return $this->belongsTo(Project::class);
    }

    public function getImageAttribute($value)
    {
        return $value != null ? Storage::disk('public')->url('images/' . $value) : $value;
    }

}
