<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class GeneralContractor extends Model
{
    use HasFactory;
    protected $table = 'general_contractors';

    protected $guarded = [
        'id'
    ];

    public function messages()
    {
        return $this->morphOne(Message::class, "messageable");
    }

    public function projects()
    {
        return $this->morphToMany(Project::class, 'projectable');
    }

    public function address()
    {
        return $this->morphOne(Address::class, 'addressable', "addressable_type", "addressable_id");
    }
    public function getImageAttribute($value)
    {
        return $value != null ? Storage::disk('public')->url('/images/' . $value) : $value;
    }
    public function specialCommentsClient()
    {
        return $this->morphOne(SpecialComment::class, 'client');
    }
    public function specialCommentsProfile()
    {
        return $this->morphOne(SpecialComment::class, 'profile');
    }
    public function specialCommentsProfileMany()
    {
        return $this->morphMany(SpecialComment::class, 'profile');
    }


}
