<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Owner extends Model
{
    use HasFactory;
    protected $table = 'owners';
    protected $guarded = [
        'id'
    ];

    public function ownerable()
    {
        return $this->morphTo();
    }

    public function messages()
    {
        return $this->morphOne(Message::class, "messageable");
    }

    public function address()
    {
        return $this->morphOne(Address::class, 'addressable', "addressable_type", "addressable_id");
    }
    public function specialCommentsClient()
    {
        return $this->morphOne(SpecialComment::class, 'client');
    }
    public function specialCommentsProfile()
    {
        return $this->morphOne(SpecialComment::class, 'profile');
    }
    public function specialCommentsProfileMany()
    {
        return $this->morphMany(SpecialComment::class, 'profile');
    }
}
