<?php

namespace App\Providers;

use App\Models\Admin\Admin;
use App\Models\Admin\Permission;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Gate;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array<class-string, class-string>
     */
    protected $policies = [
        // 'App\Models\Model' => 'App\Policies\ModelPolicy',
    ];

    /**
     * RegisterRequest any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPolicies();

        foreach (Permission::all() as $permission) {
            Gate::define($permission->key, function (Admin $admin) use ($permission) {
                return !!$admin->role()->whereHas('permissions', function ($q) use ($permission) {
                    $q->where('key', $permission->key);
                })->first();
            });
        }
    }
}
