<?php

namespace App\Services;

use App\Models\Customer;
use App\Models\ServiceList;

class CustomerService
{
    public function add($data, $client)
    {
        return Customer::query()->create([
            'name' => $data['name'],
            'email' => $data['email'],
            'customerable_type' => get_class($client),
            "customerable_id" => $client->id,
            'status' => 'saved'
        ]);
    }

    public function find($client)
    {
        return ServiceList::query()
            ->where('clientList_type', get_class($client))
            ->where('clientList_id', $client->id)->first();
    }

    public function delete($id)
    {
        return Customer::query()->where('id', $id)->delete();
    }

    public function checkExits($client, $id)
    {
        return !!Customer::query()
            ->where('customerable_type', get_class($client))
            ->where('customerable_id', $client->id)
            ->where('id', $id)
            ->first();
    }
}
