<?php

namespace App\Traits;
use Carbon\Carbon;

/*
|--------------------------------------------------------------------------
| Api Responser Trait
|--------------------------------------------------------------------------
|
| This trait will be used for any response we sent to clients.
|
*/

trait  ApiResponser
{

    protected function successResponse($status, $data, $message, $code = 200)
    {
        return response()->json([
            'Success' => $status,
            'message' => $message,
            'data' => $data
        ], $code);
    }
    protected function successResponseWithoutMessage($status, $data, $code = 200)
    {
        return response()->json([
            'Success' => $status,
            'data' => $data
        ], $code);
    }
    protected function onSuccess( $data, $code = 200)
    {
        return response()->json([
            'success' => true,
              'data' => $data
            ], $code);
    }
    protected function onFaile ($message, $code = 200)
    {
        return response()->json([
            'success' => false,
            'message' => $message
        ], $code);
    }


    protected function failedResponse($error, $code=200)
    {
        return response()->json([
            'Success' => false,
            'message' => $error,
        ], $code);
    }
}

