<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCommentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('comments', function (Blueprint $table) {
            $table->id();
            $table->text('text');
            $table->unsignedBigInteger('client_id');
            $table->text('client_type'); //user & company
            $table->unsignedBigInteger('profile_id');
            $table->text('profile_type'); //user & company & project
            $table->unsignedTinyInteger('rate')->nullable();
            $table->text('to')->nullable();
            //if profile be a project you can have comment for owner and general contractor
            $table->enum('status', ['pending', 'confirmed', 'reject'])->default('pending');
            $table->unsignedBigInteger('parent_id')->nullable();
            $table->timestamps();
        });
        Schema::table('comments', function (Blueprint $table)
        {
            $table->foreign('parent_id')->references('id')->on('comments')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('comments');
    }
}
