<?php

namespace Database\Seeders;

use App\Models\Admin\Structure\SiteInformation;
use Illuminate\Database\Seeder;
use Illuminate\Support\Str;

class SiteInformationSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $data = [
            [
                'key' => 'instagram',
                'value' => Str::random(10),
                'type' => 'social_media'
            ],
            [
                'key' => 'twitter',
                'value' => Str::random(10),
                'type' => 'social_media'
            ],
            [
                'key' => 'main_phone_number',
                'value' => Str::random(10),
                'type' => 'contact_info'
            ],
            [
                'key' => 'second_phone_number',
                'value' => Str::random(10),
                'type' => 'contact_info'
            ],[
                'key' => 'about_us_main_paragraph',
                'value' => Str::random(10),
                'type' => 'site_info'
            ], [
                'key' => 'about_us_secondary_text',
                'value' => Str::random(10),
                'type' => 'site_info'
            ],
            [
                'key' => '10',
                'value' => '5',
                'type' => 'referral_number'
            ],
        ];

        foreach ($data as $item){
            SiteInformation::create([
                'key' => $item['key'],
                'value' =>$item['value'],
                'type' => $item['type']
            ]);
        }
    }
}
